> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Buscar ID de Circuito Oracle

GET https://api.megaport.com/v2/secure/oracle/{circuitId}

El primer paso al solicitar el servicio en la nube de Oracle es utilizar el ID del circuito virtual y asegurarse de que haya un puerto libre para una conexión y obtener su `productUID`.

En la respuesta, los puertos disponibles se enumeran como vxc: null y los puertos con un valor asignado no están disponibles.

Reference: https://es.megaport.ferndocs.com/es/api-reference/cloud-connectivity/look-up-oracle-circuit-id

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Path parameters

- `circuitId` (string, required)

## Response

### 200

Buscar ID de Circuito Oracle / Buscar ID de Circuito Oracle

- `data` (V2SecureOracleCircuitIdGetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2SecureOracleCircuitIdGetResponsesContentApplicationJsonSchemaData

- `bandwidth` (double, optional)
- `csp_id` (string, optional)
- `megaports` (list of V2SecureOracleCircuitIdGetResponsesContentApplicationJsonSchemaDataMegaportsItems, optional)
- `resource_type` (string, optional)

### V2SecureOracleCircuitIdGetResponsesContentApplicationJsonSchemaDataMegaportsItems

- `companyId` (double, optional)
- `companyName` (string, optional)
- `companyUid` (string, optional)
- `country` (string, optional)
- `description` (string, optional)
- `locationId` (double, optional)
- `nServiceId` (double, optional)
- `name` (string, optional)
- `port` (double, optional)
- `portSpeed` (double, optional)
- `productId` (double, optional)
- `productUid` (string, optional)
- `state` (string, optional)
- `vxc` (any, optional, nullable)

## Examples

**Response**

```json
{
  "data": {
    "bandwidth": 10000,
    "csp_id": "ocid1.virtualcircuit.oc1.phx.aaaaaaaapsokflwszxk3c2vhsyj5pkas3gmh3zngyxx7zj6yxj2stgeofk5q",
    "megaports": [
      {
        "companyId": 5039,
        "companyName": "Oracle",
        "companyUid": "8ea83603-445c-40c6-94cf-67967a18beb9",
        "country": "USA",
        "description": "Oráculo en CyrusOne Chandler",
        "locationId": 147,
        "nServiceId": 10419,
        "name": "OCI (us-phoenix-1) Primary (BMC)",
        "port": 5073,
        "portSpeed": 10000,
        "productId": 5073,
        "productUid": "46c71b6d-115e-4de4-8894-4f40d0fdbc98",
        "state": "AZ",
        "vxc": null
      },
      {
        "companyId": 5039,
        "companyName": "Oracle",
        "companyUid": "8ea83603-445c-40c6-94cf-67967a18beb9",
        "country": "USA",
        "description": "Oráculo en CyrusOne Chandler",
        "locationId": 147,
        "nServiceId": 10415,
        "name": "OCI (us-phoenix) Secondary (BMC)",
        "port": 5070,
        "portSpeed": 10000,
        "productId": 5070,
        "productUid": "0c6efa2f-ba70-41c4-a3b4-51708adb969c",
        "state": "AZ",
        "vxc": null
      },
      {
        "companyId": 5039,
        "companyName": "Oracle",
        "companyUid": "8ea83603-445c-40c6-94cf-67967a18beb9",
        "country": "USA",
        "description": "Oráculo en Digital Realty LOS1",
        "locationId": 63,
        "nServiceId": 138544,
        "name": "OCI (us-phoenix-1) Primary (BMC)",
        "port": 61874,
        "portSpeed": 10000,
        "productId": 61874,
        "productUid": "b0a0c1a9-b112-4202-af66-44c69eaa73cd",
        "state": "CA",
        "vxc": null
      },
      {
        "companyId": 5039,
        "companyName": "Oracle",
        "companyUid": "8ea83603-445c-40c6-94cf-67967a18beb9",
        "country": "USA",
        "description": "Oráculo en Digital Realty LOS1",
        "locationId": 63,
        "nServiceId": 138549,
        "name": "OCI (us-phoenix-1) Secondary (BMC)",
        "port": 61876,
        "portSpeed": 10000,
        "productId": 61876,
        "productUid": "e33162cf-8081-4fbb-aa41-65021d953ec0",
        "state": "CA",
        "vxc": null
      }
    ],
    "resource_type": "csp_connection"
  },
  "message": "Búsqueda exitosa",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/secure/oracle/circuitId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/secure/oracle/circuitId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/secure/oracle/circuitId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/secure/oracle/circuitId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/secure/oracle/circuitId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/secure/oracle/circuitId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/secure/oracle/circuitId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/secure/oracle/circuitId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```